OGRE-Next: Ogre::CompositorPassIblSpecular Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::CompositorPassIblSpecular Class Reference
Core » Effects

Implementation of CompositorPass This implementation will generate IblSpeculars for the specified texture. More...

`#include <OgreCompositorPassIblSpecular.h>`

Inheritance diagram for Ogre::CompositorPassIblSpecular:
[legend]

## Public Member Functions
| CompositorPassIblSpecular (const CompositorPassIblSpecularDef *definition, const RenderTargetViewDef *rtv, CompositorNode *parentNode)
| ~CompositorPassIblSpecular () override
void | execute (const Camera *lodCamera) override
bool | notifyRecreated (const TextureGpu *channel) override
void | resetNumPassesLeft () override
Public Member Functions inherited from Ogre::CompositorPass
| CompositorPass (const CompositorPassDef *definition, CompositorNode *parentNode)
virtual | ~CompositorPass ()
ResourceTransitionArray & | _getResourceTransitionsNonConst ()
Vector2 | getActualDimensions () const
const CompositorPassDef * | getDefinition () const
const CompositorNode * | getParentNode () const
RenderPassDescriptor * | getRenderPassDesc () const
const ResourceTransitionArray & | getResourceTransitions () const
const CompositorTextureVec & | getTextureDependencies () const
CompositorPassType | getType () const
Real | getViewportAspectRatio (size_t vpIdx)
virtual void | notifyCleared ()
virtual void | notifyDestroyed (const UavBufferPacked *buffer)
virtual void | notifyDestroyed (TextureGpu *channel)
virtual void | notifyRecreated (const UavBufferPacked *oldBuffer, UavBufferPacked *newBuffer)
void | profilingBegin ()
void | profilingEnd ()

## Detailed Description

Implementation of CompositorPass This implementation will generate IblSpeculars for the specified texture.

Requires

Author
  Matias N. Goldberg

Version
  1.0

## Constructor & Destructor Documentation

## ◆ CompositorPassIblSpecular()

Ogre::CompositorPassIblSpecular::CompositorPassIblSpecular | ( | const CompositorPassIblSpecularDef * | definition,
|  | const RenderTargetViewDef * | rtv,
|  | CompositorNode * | parentNode )

## ◆ ~CompositorPassIblSpecular()

Ogre::CompositorPassIblSpecular::~CompositorPassIblSpecular | ( |  | ) |
| override

## Member Function Documentation

## ◆ execute()

void Ogre::CompositorPassIblSpecular::execute | ( | const Camera * | lodCamera | ) |
| overridevirtual

Implements Ogre::CompositorPass.

## ◆ notifyRecreated()

bool Ogre::CompositorPassIblSpecular::notifyRecreated | ( | const TextureGpu * | channel | ) |
| overridevirtual

See also
  CompositorNode::notifyRecreated

Reimplemented from Ogre::CompositorPass.

## ◆ resetNumPassesLeft()

void Ogre::CompositorPassIblSpecular::resetNumPassesLeft | ( |  | ) |
| overridevirtual

Reimplemented from Ogre::CompositorPass.

The documentation for this class was generated from the following file:

- OgreCompositorPassIblSpecular.h